# 登录接口

和服务器对接的时候需要提供Token数据,该接口可以用于获取Token

## 修改记录


## 接口定义

    /v1/login
    POST

## Request

API请求参数

### Head

    X-LoginType          {String}        登录方式
    X-DeviceInformation  {String}       设备信息, 格式为: {osVersion}/{appVersion}/{deviceSN}/{orgID}
    X-Sign               {String}       rsa(timestamp_username) 加密


### Form Parameters

    username               {String}
    password               {String}
    location               {String}

## Response

### Example


**Command**

    curl -X POST \
       -H "X-DeviceInformation: ooadmin/v1.1/5ebfdbca1a5d4dbd4a6cc8e835276779" \
       -H "X-ChannelId: YS_P03_KARAMAY" \
       -H "X-Sign: siX++d9tc3qrGgI9HKfscXGpabC9M/Wa8xEQU/rjWnMaxKCG/kCQBNlnaXrP8/0mt2XnlGMs/p/KX2jo3yVpQijFaupMtWeGuN2YtRVQWRa3tG53npMUttU5SjQWGa4UAOdxV7V8FLvm0DvO47zxC4puCcbGTbljH0q7BkADYGc=" \
       -d "username=qrc240pDUO69WsN23x%2flcps1M%2fydVX9pjbhOXVzuX9pqp5LMG8llkMhRWhC4M3kAOqH0EXX2w4bcHA0VpvnIEEKvevThh6A1QJq4rN46WU88yX3TXD7%2bKEJMnomWaQlMKmNW%2fm0RFd7PGZoN%2bribYrCgCEUR6WNpDRyaxsKfXEY%3d&password=qrc240pDUO69WsN23x%2flcps1M%2fydVX9pjbhOXVzuX9pqp5LMG8llkMhRWhC4M3kAOqH0EXX2w4bcHA0VpvnIEEKvevThh6A1QJq4rN46WU88yX3TXD7%2bKEJMnomWaQlMKmNW%2fm0RFd7PGZoN%2bribYrCgCEUR6WNpDRyaxsKfXEY%3d" \
       http://localhost:8080/v1/login

**Output**

    {
        "data": {
            "userId": 1,
            "userName": "test",
            "title": "筛查员",
            "canUpload": 1,
            "orgId": 96393498273513472,
            "orgName": "欧欧演示机构",
            "plans": [
                {
                    "planId": 53,
                    "planName": "广西南宁2019年上学期学生视力筛查",
                    "startDate": 1569859200,
                    "endDate": 1575043200,
                    "remark": "",
                    "items": [
                        {
                            "key": "ASSISTED_VISION",
                            "name": "戴 镜"
                        },
                        {
                            "key": "DIOPTER",
                            "name": "屈 光"
                        },
                        {
                            "key": "VISION",
                            "name": "裸 眼"
                        }
                    ],
                    "camps": [
                        {
                            "campId": 106,
                            "campName": "欧欧演示账号",
                            "status": 2
                        }
                    ]
                }
            ]
        },
        "errno": 200,
        "msg": "success"
    }